MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026638Community[OCCT] OCCT:DRAWpublic2015-09-03 15:142015-10-23 20:50
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026638: Help of vcaps Draw command mentions wrong argument
DescriptionIn the help of vcaps command it mentions [-compatibleContext {0|1}] but this doesn't work. Probably, this is a typo and it shoulde be [-compatibleProfile {0|1}].
Steps To Reproducein Draw:
help vcaps
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0045359)
git (administrator)
2015-09-09 20:00

Branch CR26638 has been created by mkv.

SHA-1: ec8ca132b5ba0f2afc76ece07a9fe852129bc57d


Detailed log of new commits:

Author: mkv
Date: Wed Sep 9 19:59:45 2015 +0300

    0026638: Help of vcaps Draw command mentions wrong argument
(0045409)
mkv (tester)
2015-09-10 13:24

Dear BugMaster,
Branch CR26638 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms on Release mode.
SHA-1: ec8ca132b5ba0f2afc76ece07a9fe852129bc57d

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Testing cases:
Not needed

Modification is small and trivial.
(0045410)
mkv (tester)
2015-09-10 13:25

Dear BugMaster,

check of modification see on log of help for vcaps draw-command:

Draw[3]> help vcaps
vcaps : vcaps [-vbo {0|1}] [-sprites {0|1}] [-ffp {0|1}]
                : [-compatibleProfile {0|1}]
                : [-vsync {0|1}]
                : [-quadBuffer {0|1}] [-stereo {0|1}]
                : [-softMode {0|1}] [-noupdate|-update]
                : Modify particular graphic driver options:
                : FFP - use fixed-function pipeline instead of
                : built-in GLSL programs
                : (requires compatible profile)
                : VBO - use Vertex Buffer Object (copy vertex
                : arrays to GPU memory)
                : sprite - use textured sprites instead of bitmaps
                : vsync - switch VSync on or off
                : Context creation options:
                : softMode - software OpenGL implementation
                : compatibleProfile - backward-compatible profile
                : quadbuffer - QuadBuffer
                : Unlike vrenderparams, these parameters control alternative
                : rendering paths producing the same visual result when
                : possible.
                : Command is intended for testing old hardware compatibility.
Draw[4]>
(0045411)
mkv (tester)
2015-09-10 13:25

Dear BugMaster,
Branch CR26638 is TESTED.
(0046938)
git (administrator)
2015-10-16 16:24

Branch CR26638 has been deleted by kgv.

SHA-1: ec8ca132b5ba0f2afc76ece07a9fe852129bc57d

- Related Changesets
occt: master 1dfe71a6
Timestamp: 2015-09-09 16:59:45
Author: mkv
Committer: bugmaster
Details ] Diff ]
0026638: Help of vcaps Draw command mentions wrong argument
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-03 15:14 Timo New Issue
2015-09-03 15:14 Timo Assigned To => mkv
2015-09-04 10:31 Timo Summary Help of vcaps Draw comman mentions wrong argument => Help of vcaps Draw command mentions wrong argument
2015-09-04 10:31 Timo Steps to Reproduce Updated View Revisions
2015-09-09 20:00 git Note Added: 0045359
2015-09-10 13:24 mkv Note Added: 0045409
2015-09-10 13:24 mkv Status new => feedback
2015-09-10 13:25 mkv Note Added: 0045410
2015-09-10 13:25 mkv Note Added: 0045411
2015-09-10 13:25 mkv Assigned To mkv => bugmaster
2015-09-10 13:25 mkv Status feedback => tested
2015-09-10 13:25 mkv Test case number => Not needed
2015-09-11 14:09 bugmaster Changeset attached => occt master 1dfe71a6
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-10-16 14:55 user533 Status verified => closed
2015-10-16 16:24 git Note Added: 0046938
2015-10-23 20:50 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker